Page 1 of 1

BlendLux doesn't work after installing another add-on

Posted: Sun May 17, 2020 1:46 pm
by vza
Hello! I'm so sorry for all my posts!
I installed modular_tree add-on in blender 2.83 and now I can't use BlendLuxCore in every version of blender on my Mac (2.80, 2.81, 2.82).
I tried to uninstall that add-on, uninstall and reinstall BlendLux, but nothing. What can I do?
Thank you!
Schermata 2020-05-17 alle 15.02.57.png

Re: BlendLux doesn't work after installing another add-on

Posted: Tue May 19, 2020 8:38 am
by vza
I deleted Library/Application Support/Blender/2.8...(all versions). I installed blender 2.90 and BlendLux 2.4. Same error:
Schermata 2020-05-19 alle 09.58.42.png
CODE SIGNATURE INVALID for PYLUXCORE.SO

Re: BlendLux doesn't work after installing another add-on

Posted: Tue May 19, 2020 10:42 am
by Dade
vza wrote:
Tue May 19, 2020 8:38 am
I installed blender 2.90 and BlendLux 2.4. Same error
We don't support not yet released Blender versions.

Re: BlendLux doesn't work after installing another add-on

Posted: Tue May 19, 2020 11:01 am
by vza
It's the same with all Blender versions, from 2.80 to 2.90.

Re: BlendLux doesn't work after installing another add-on

Posted: Tue May 19, 2020 1:59 pm
by juangea
It seems it’s a failure in the code signing of the latest mac build, check the last phrase of the error, it’s not related to your computer specifically I think

Re: BlendLux doesn't work after installing another add-on

Posted: Tue May 19, 2020 3:43 pm
by vza
Thank you Juangea for your answer. BlendLux worked perfectly until I installed the modular-tree add-on (Saturday). :x LuxCore still works fine.
OS System: Mojave.

Re: BlendLux doesn't work after installing another add-on

Posted: Wed May 20, 2020 8:53 am
by juangea
Well, maybe that addon broke something, but I find that improbable, but the error seems to be clear about the signing problem.

Anyways, it seems that the signing code problems have been solved and the next azure build will have that solved, test it and see if it solves your problem :)

Re: BlendLux doesn't work after installing another add-on

Posted: Wed May 20, 2020 12:44 pm
by vza
Really??
Thank you Juangea!

Re: BlendLux doesn't work after installing another add-on

Posted: Fri May 22, 2020 4:57 pm
by LifeLongBlenderer
I seem to be having similar problems.
I was trying to install Octane yesterday (it wasn't working for some reason), and there was a specific Octane build of Blender I had to install. This required deleting all other blender 2.8x builds, which is where my working version of Luxcore was.
Now, when I try downloading LuxCore render, and place the folder in adding, I get the following error message when I try to enable it in Blender 2.81:
"could not import pyluxcore"
It seemed to be working on 2.81 before, but it doesn't seem to work in 2.8 anymore now. With 2.82, the message is instead about how I need "2.81a or lower" rather than "could not import pyluxcore"